Subject: Re: bug#45443: 28.0.50; Can't find definition of compilation--message->loc

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2020 09:07:06 +0100

Unknown <[email-masked]> writes:

> I attach a first implementation of this approach, with some tests for
> the function definition that Richard wanted to find.  I'm sure there are
> still missing cases that are interesting (closures?).  Give it a try and
> see if there are still relevant symbols whose definition Emacs is unable
> to locate.  I'm also open to feedback about the macro expansion logic.
> Could it be more efficient?  Thanks.

This is something I've wanted for a long time, so I went ahead and
pushed it to Emacs 28.  :-)  I tried it on a couple cl-defstructs, and
it seems to work well for me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no